@import url("https://fonts.googleapis.com/css2?family=Lato:ital,wght@0,100;0,300;0,400;0,700;0,900;1,100;1,300;1,400;1,700;1,900&family=Poppins:ital,wght@0,100;0,200;0,300;0,400;0,500;0,600;0,700;0,800;0,900;1,100;1,200;1,300;1,400;1,500;1,600;1,700;1,800;1,900&display=swap");

* {
  padding: 0;
  margin: 0;
  font-family: Poppins;
}

.nav-link.btnSidebar {
  color: #fff;
  border-radius: 8px;
}

.btnSidebar:hover{
  background-color: #fff;
  color: #12569c !important;
  border-radius: 8px;
  /* padding: 2px; */
}

.btnSidebar.active {
  background-color: #fff;
  color: #12569c !important;
  border-radius: 8px;
  margin: 2px 0;
}

.btnSidebar.active svg path {
  margin-right: 8px;
  transition: fill 0.3s;
}

.btnSidebar:hover svg path,
.btnSidebar.active svg path {
  fill: #12569c !important;
}

.page-link {
  border-radius: 10px !important;
  width: 40px !important;
  height: 40px !important;
}

.pagination {
  gap: 5px !important;
}

.footer {
  background-color: #12569c !important;
}

/* CSS dari template yang Anda berikan */
.sidebar {
  transition: width 0.3s ease;
  width: 300px; /* Lebar penuh saat terbuka */
  position: fixed;
  height: 100%;
  z-index: 1000;
  overflow: hidden; /* Mencegah overflow saat ditutup */
}
.sidebar.toggled {
  width: 6.5rem; /* Lebar saat ditutup, hanya cukup untuk ikon */
}

.topbar #sidebarToggle {
  display: flex;
  cursor: pointer;
}
.topbar #sidebarToggle::after {
  margin-right: 0.1rem;
}
.topbar.toggled #sidebarToggle::after {
  margin-left: 0.25rem;
}
.topbar {
  transition: margin-left 0.3s ease;
  margin-left: 300px; /* Margin untuk konten saat sidebar terbuka */
}
.topbar.toggled {
  margin-left: 6.5rem; /* Margin untuk konten saat sidebar ditutup */
}
.footer-admin {
  transition: margin-left 0.3s ease;
  margin-left: 300px; /* Margin untuk konten saat sidebar terbuka */
}
.footer-admin.toggled {
  margin-left: 6.5rem; /* Margin untuk konten saat sidebar ditutup */
}
.content {
  transition: margin-left 0.3s ease;
  margin-left: 300px; /* Margin untuk konten saat sidebar terbuka */
}
.content.toggled {
  margin-left: 6.5rem; /* Margin untuk konten saat sidebar ditutup */
}
.nav-link {
  display: flex;
  align-items: center;
  padding: 1rem; /* Padding untuk tautan */
}
.nav-link span {
  margin-left: 10px; /* Jarak antara ikon dan teks */
}

.nav-link.navbar.active {
  font-weight: bold;
}

.btn.active {
  color: #12569c;
  border: none;
  border-bottom: 3px solid #12569c;
  border-radius: 0;
  box-shadow: none !important;
}

.btnAddTiket {
  transition: color 0.3s; /* Menambahkan transisi untuk efek yang lebih halus */
  text-decoration: none !important;
}

.btnAddTiket:hover {
  cursor: pointer;
  background-color: #12569c !important;
  border-radius: 8px;
  text-decoration: none !important;
  color: #fff !important; /* Mengubah warna teks menjadi putih saat di-hover */
}

.btnAddTiket:hover .text-primary {
  color: #fff !important; /* Mengubah warna teks menjadi putih saat di-hover */
  text-decoration: none !important;
}

.btnAddTiket:hover svg path {
  fill: #fff !important;
  text-decoration: none !important;
}

.table td{
  padding: 0.3rem 0.2rem !important;
}

thead tr td{
  padding: 0 0.8rem !important;
}

/* untuk otp */
.otp-container {
  display: flex;
  justify-content: center;
  /* margin-top: 50px; */
}
.otp-input {
  width: 40px;
  height: 40px;
  margin: 0 5px;
  text-align: center;
  font-size: 24px;
  border: 2px solid #ccc;
  border-radius: 5px;
}
.otp-input:focus {
  border-color: #007bff;
  outline: none;
}

.hg-100 {
  height: 100vh;
}

.img-responsive {
  background-image: url("../img/pelabuhan.jpg");
  background-size: cover;
  background-position: center;
}

.truncate-multi-line {
  display: -webkit-box;
  -webkit-line-clamp: 2; /* Jumlah baris sebelum terpotong */
  -webkit-box-orient: vertical;
  overflow: hidden;
}